{
  "schema_version": "1.4.0",
  "id": "GHSA-v7w5-c9j9-2f2r",
  "modified": "2022-05-24T22:00:26Z",
  "published": "2022-05-24T22:00:26Z",
  "aliases": [
    "CVE-2019-2181"
  ],
  "details": "In binder_transaction of binder.c in the Android kernel, there is a possible out of bounds write due to an integer overflow. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is needed for exploitation.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-2181"
    },
    {
      "type": "WEB",
      "url": "https://source.android.com/security/bulletin/2019-09-01"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4157-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4157-2"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/154951/Kernel-Live-Patch-Security-Notice-LSN-0058-1.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-09-05T22:15:00Z"
  }
}